MONGOC_DATABASE_SET_READ_PREFS(3)

NAME
mongoc_database_set_read_prefs - mongoc_database_set_read_prefs()

SYNOPSIS

void
mongoc_database_set_read_prefs (mongoc_database_t *database,
                                const mongoc_read_prefs_t *read_prefs);

This function sets the default read preferences to use on operations performed with database. Collections created with mongoc_database_get_collection() after this call will inherit these read preferences.

The global default is MONGOC_READ_PRIMARY: if the client is connected to a replica set it reads from the primary, otherwise it reads from the current MongoDB server.

Please see the MongoDB website for a description of Read Preferences.

PARAMETERS

•   database: A mongoc_database_t.

•   read_prefs: A mongoc_read_prefs_t.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc